Get the quota policies, usage and summary for a view for all its users. It can also fetch the quota policies, usage and summary for a user in all his views.

Privileges: STORAGE_VIEW

Returns error if op fails.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Specifies the name of the input view. If given, there could be three
scenarios with the viewName input parameter:
It gives the user quota overrides for this view, and the user quota
settings. Returns 'usersQuotaAndUsage'.
If given along with the user id, it returns the quota policy for this
user on this view. Returns 'usersQuotaAndUsage'.
If given along with SummaryOnly as true, a user quota summary for
this view would be returned. Returns 'summaryForView'.
If not given, then the user id is checked.

boolean

If set to true, the logical usage info is included only for users with
quota overrides. By default, it is set to false.

boolean

If set to true, the result will only contain user with user quota enabled.
By default, this field is set to false, and it's only in effect when
'SummaryOnly' is set to false and 'ViewName' is specified.

boolean

This field can be set only when includeUsage is set to true.
By default, all the users with logical usage > 0 will be returned in the
result. If this field is set to true, only the list of users who has
exceeded the alert threshold will be returned.

uint32

If interested in a user via unix-identifier, include UnixUid.
Otherwise, If a valid unix-id to SID mappings are available (i.e., when
mixed mode is enabled) the server will perform the necessary id mapping
and return the correct usage irrespective of whether the unix id / SID is
provided.

string

If interested in a user via smb_client, include SID.
Otherwise, If a valid unix-id to SID mappings are available (i.e., when
mixed mode is enabled) the server will perform the necessary id mapping
and return the correct usage irrespective of whether the unix id / SID is
provided.
The string is of following format -
S-1-IdentifierAuthority-SubAuthority1-SubAuthority2-...-SubAuthorityn.

userUnixIdsForView
array of uint32s

While making a query for a view, this specifies a list of specific users
with their unix uid for the result.

userUnixIdsForView
userSidsForView
array of strings

While making a query for a view, this specifies a list of specific users
with their Sid for the result.

userSidsForView
viewNamesForUser
array of strings

While making a query for a user, this specifies a list of specific views
for the result.

viewNamesForUser
boolean

Specifies a flag to just return a summary. If set to true, and if ViewName
is not nil, it returns the summary of users for a view. Otherwise if
UserId not nil, and ViewName is nil then it fetches the summary for a
user in his views. By default, it is set to false.

int64

Specifies the max entries that should be returned in the result.

int64

Related to fetching a particular user's quota and usage in all his views.
It only pertains to the scenario where either UnixUid or Sid is specified,
and ViewName is nil. Specify the maxViewId for All the views returned
would have view_id's less than or equal to the given MaxViewId if it is

= 0.

string

OutputFormat is the Output format for the output. If it is not specified,
default is json.

int64

TopQuotas is the quotas sorted by quota usage in descending order.
This parameter defines number of results returned. No pagination cookie is
returned if this is set to true.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json